com.fasterxml.jackson.databind.ser

## Class DefaultSerializerProvider.Impl

- java.lang.Object
- - com.fasterxml.jackson.databind.DatabindContext
  - - com.fasterxml.jackson.databind.SerializerProvider
    - - com.fasterxml.jackson.databind.ser.DefaultSerializerProvider
      - - com.fasterxml.jackson.databind.ser.DefaultSerializerProvider.Impl

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    DefaultSerializerProvider

      public static final class DefaultSerializerProvider.Impl
      extends DefaultSerializerProvider

  Concrete implementation that defines factory method(s), defined as final.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.ser.DefaultSerializerProvider

      `DefaultSerializerProvider.Impl`

  - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.ser.DefaultSerializerProvider

      `_objectIdGenerators, _seenObjectIds`

    - ### Fields inherited from class com.fasterxml.jackson.databind.SerializerProvider

      `_config, _dateFormat, _keySerializer, _knownSerializers, _nullKeySerializer, _nullValueSerializer, _rootNames, _serializationView, _serializerCache, _serializerFactory, _unknownTypeSerializer, CACHE_UNKNOWN_MAPPINGS, DEFAULT_NULL_KEY_SERIALIZER, DEFAULT_UNKNOWN_SERIALIZER, TYPE_OBJECT`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `DefaultSerializerProvider.Impl()`
    `protected` | `DefaultSerializerProvider.Impl(SerializerProvider src, SerializationConfig config, SerializerFactory f)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DefaultSerializerProvider.Impl` | `createInstance(SerializationConfig config, SerializerFactory jsf)` Overridable method, used to create a non-blueprint instances from the blueprint.

    - ### Methods inherited from class com.fasterxml.jackson.databind.ser.DefaultSerializerProvider

      `acceptJsonFormatVisitor, cachedSerializersCount, findObjectId, flushCachedSerializers, generateJsonSchema, hasSerializerFor, serializerInstance, serializeValue, serializeValue, serializeValue`

    - ### Methods inherited from class com.fasterxml.jackson.databind.SerializerProvider

      `_createAndCacheUntypedSerializer, _createAndCacheUntypedSerializer, _createUntypedSerializer, _dateFormat, _findExplicitUntypedSerializer, _handleContextual, _handleContextualResolvable, _handleResolvable, _reportIncompatibleRootType, defaultSerializeDateKey, defaultSerializeDateKey, defaultSerializeDateValue, defaultSerializeDateValue, defaultSerializeField, defaultSerializeNull, defaultSerializeValue, findKeySerializer, findNullKeySerializer, findNullValueSerializer, findTypedValueSerializer, findTypedValueSerializer, findValueSerializer, findValueSerializer, getActiveView, getAnnotationIntrospector, getConfig, getDefaultNullKeySerializer, getDefaultNullValueSerializer, getFilterProvider, getLocale, getSerializationView, getTimeZone, getTypeFactory, getUnknownTypeSerializer, isEnabled, setDefaultKeySerializer, setNullKeySerializer, setNullValueSerializer`

    - ### Methods inherited from class com.fasterxml.jackson.databind.DatabindContext

      `canOverrideAccessModifiers, constructSpecializedType, constructType, converterInstance, isEnabled, objectIdGeneratorInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultSerializerProvider.Impl

          public DefaultSerializerProvider.Impl()

    - #### DefaultSerializerProvider.Impl

          protected DefaultSerializerProvider.Impl(SerializerProvider src,
                                        SerializationConfig config,
                                        SerializerFactory f)

  - ### Method Detail

    - #### createInstance

          public DefaultSerializerProvider.Impl createInstance(SerializationConfig config,
                                                      SerializerFactory jsf)

      Description copied from class: `DefaultSerializerProvider`
      Overridable method, used to create a non-blueprint instances from the blueprint. This is needed to retain state during serialization.
      Specified by:
        `createInstance` in class `DefaultSerializerProvider`

Copyright © 2012-2013 FasterXML. All Rights Reserved.